> ## Documentation Index
> Fetch the complete documentation index at: https://docs-slidekit.theduomi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get analysis result

> Retrieves complete analysis results.



## OpenAPI

````yaml /openapi/powerpoint-api.json get /api/v1/templates/{template_id}/analysis
openapi: 3.1.0
info:
  title: SlideKit
  description: >-
    A comprehensive API for PowerPoint template management and presentation
    generation
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/templates/{template_id}/analysis:
    get:
      tags:
        - templates
      summary: Get analysis result
      description: Retrieves complete analysis results.
      operationId: get_analysis_api_v1_templates__template_id__analysis_get
      parameters:
        - name: template_id
          in: path
          required: true
          schema:
            type: string
            title: Template Id
        - name: analysis_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Specific analysis ID (defaults to latest)
            title: Analysis Id
          description: Specific analysis ID (defaults to latest)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AnalysisResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    AnalysisResponse:
      properties:
        analysis_id:
          type: string
          title: Analysis Id
        org_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Org Name
        status:
          type: string
          title: Status
        started_at:
          type: string
          format: date-time
          title: Started At
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
        options:
          additionalProperties: true
          type: object
          title: Options
        results:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Results
        metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Metadata
      type: object
      required:
        - analysis_id
        - status
        - started_at
        - options
      title: AnalysisResponse
      description: Complete analysis response.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: >-
        Production API key. Development/test deployments may also allow
        X-Org-Name.

````